package com.loafle.overflow.module.meta.service;

import com.loafle.overflow.module.meta.dao.MetaSensorDisplayItemMappingDAO;
import com.loafle.overflow.module.meta.model.MetaSensorDisplayMapping;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by insanity on 17. 11. 7.
 */
@Service("MetaSensorDisplayItemMappingService")
public class MetaSensorDisplayItemMappingService {
    @Autowired
    private MetaSensorDisplayItemMappingDAO mappingDAO;

    public MetaSensorDisplayMapping regist(MetaSensorDisplayMapping m) {
        return this.mappingDAO.save(m);
    }

    public List<MetaSensorDisplayMapping> findAllByDisplayItem(MetaSensorDisplayMapping mapping) {
        return this.mappingDAO.findAllByDisplayItem(mapping);
    }
}
